<bugID>577410<Summary>Tab bar disappears if there are only app tabs</Summary><Description>Tab bar disappears if there are only app tabs and are not 'add tab' and 'list all tab' buttons.
# If there is either 'add tab' or 'list all tab' button, tab bar is shown.
# 'Always show the tab bar' in the preferences is checked.

We should show tab bar under that condition.</Description></bugID>